# H235_ReturnSig Class Reference

`#include <h235.h>`

Inheritance diagram for H235_ReturnSig:

List of all members.

## Public Types

enum | OptionalFields { e_requestRandom, e_certificate }

## Public Member Functions

| H235_ReturnSig (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

H235_Identifier | m_generalId
H235_RandomVal | m_responseRandom
H235_RandomVal | m_requestRandom
H235_TypedCertificate | m_certificate

## Member Enumeration Documentation

enum H235_ReturnSig::OptionalFields

Enumerator:

  e_requestRandom |
  e_certificate |

## Constructor & Destructor Documentation

H235_ReturnSig::H235_ReturnSig | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H235_ReturnSig::GetDataLength | ( |  | ) | const

PBoolean H235_ReturnSig::Decode | ( | PASN_Stream & | strm | ) |

void H235_ReturnSig::Encode | ( | PASN_Stream & | strm | ) | const

void H235_ReturnSig::PrintOn | ( | ostream & | strm | ) | const

Comparison H235_ReturnSig::Compare | ( | const PObject & | obj | ) | const

PObject* H235_ReturnSig::Clone | ( |  | ) | const

## Member Data Documentation

H235_Identifier H235_ReturnSig::m_generalId

H235_RandomVal H235_ReturnSig::m_responseRandom

H235_RandomVal H235_ReturnSig::m_requestRandom

H235_TypedCertificate H235_ReturnSig::m_certificate

The documentation for this class was generated from the following file:

- h235.h